Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001243TestLinkDatabase MS-SQLpublic2007-12-27 17:052010-11-14 12:07
Reportertoshi 
Assigned Totoshi 
PrioritynormalSeveritymajorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.2 
Fixed in Version1.9 (Prague) 
Summary0001243: MS-SQL 2005 Support
DescriptionIn TTF test, we cannot access MS-SQL 2005 from TestLink.
Current TL uses the 'mssql' driver of ADOdb.
It may not be able to access MS-SQL 2005 although MS-SQL 2000 is OK.
We may need to use the 'odbc_mssql' driver.

We are happy when TL support 2005 or the installation manual say "TL don't support 2005" clearly.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0002865)
fman (administrator)
2008-01-04 01:53

Are you sure this is the problem ?
I will do some tests next week
(0003965)
mhavlat (reporter)
2008-08-13 16:27

Toshi, is this problem still valid? Could you retest it? Please check http://www.teamst.org/phpBB2/viewtopic.php?p=3658#3658 [^]
(0004541)
mhavlat (reporter)
2008-11-07 18:23

Guys, any progress?
(0005606)
aksinghv (reporter)
2009-02-25 10:56

Microsoft has developed MSSQL2005 Driver (Microsoft SQL Server 2005 Driver for PHP v1.0)
Blog details: http://social.msdn.microsoft.com/Forums/en-US/sqldriverforphp/thread/a10e5202-9e41-4ff8-a33e-fbcc7b951be2 [^]

Download: http://go.microsoft.com/fwlink/?LinkId=123470 [^]
Source ode: http://www.codeplex.com/SQL2K5PHP [^]

This driver supports MS-SQL 2005 and 2008.

Do we have any plans to utilise this driver to access the MS-SQL 2005/2008 database?
(0005607)
mhavlat (reporter)
2009-02-25 16:46

Is the ?soft driver supported by ADODB component?
Meantime I state in Install. manual that we support msqsl 2000 only.
(0005831)
mhavlat (reporter)
2009-03-11 06:16

Toshi,
Installation guide describes the problem and a solution. I suggest to resolve the issue.
(0005842)
satyendra (reporter)
2009-03-12 12:15

Sorry for bothering

DB installation problem still not resolve for SQL Server2005
following error displayed
"Checking PHP DB extensions Warning!: Your PHP installation don't have the mssql extension mssql- without it is IMPOSSIBLE to use Testlink.Failed! "
(0005914)
trickyarcher (reporter)
2009-03-20 05:21

Is this true? no support for SQL Server2005?
(0005915)
paul123paul (reporter)
2009-03-20 09:03

I am using SQL 2005 without any problem with Testlink 1.8 RC5.

I spent a lot of time trying to get it working with the sql drivers and PHP & apache standalone....
I am using Windows XP

In the end I gave up and used a distribution of PHP and Apache called "EASYPHP". It's free... No problems after using this and enabling the extension extension=php_mssql.dll

It really was easy once I used this distribution easyphp. Search google.
(0005916)
satyendra (reporter)
2009-03-20 11:47

Yes No Support for SL Server 2005.
if you installed with Apache it's working fine. but if you deploy application with IIS then still this Problem is exist.
(0005951)
trickyarcher (reporter)
2009-03-23 22:44
edited on: 2009-03-24 03:55

Thank paul123paul.
After installing EASYPHP, I had to do the following to connect to MSSql server 2005:
The problem lies within the wrong dynamic library that is included in Apache and PHP. To fix this problem follow this steps:

1. Download the good version of ntwdblib.dll (2000.80.194.0) http://webzila.com/dll/1/ntwdblib.zip [^]
2. Overwrite C:\wamp\bin\apache\apache2.2.6\bin\ntwdblib.dll
3. Overwrite C:\wamp\bin\php\php5.2.5\ntwdblib.dll
4. Copy to Windows\system32\

Create a php file to test with the following:
<?php
// Server in the this format: <computer>\<instance name> or
// <server>,<port> when using a non default port number
$server = 'servername';

$link = mssql_connect($server, 'user', 'password');

if(!$link)
{
    die('Something went wrong while connecting to MSSQL');
}
?>

You should be good to go.

(0012475)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2007-12-27 17:05 toshi New Issue
2008-01-04 01:53 fman Note Added: 0002865
2008-08-13 16:27 mhavlat Note Added: 0003965
2008-08-13 16:27 mhavlat Status new => feedback
2008-08-13 16:28 mhavlat Severity feature request => major
2008-11-07 18:23 mhavlat Note Added: 0004541
2008-11-27 03:04 schlundus Status feedback => assigned
2008-11-27 03:04 schlundus Assigned To => schlundus
2008-11-27 03:49 schlundus Assigned To schlundus => toshi
2009-02-25 10:56 aksinghv Note Added: 0005606
2009-02-25 16:46 mhavlat Note Added: 0005607
2009-03-11 06:16 mhavlat Note Added: 0005831
2009-03-12 12:15 satyendra Note Added: 0005842
2009-03-20 05:21 trickyarcher Note Added: 0005914
2009-03-20 09:03 paul123paul Note Added: 0005915
2009-03-20 11:47 satyendra Note Added: 0005916
2009-03-23 22:44 trickyarcher Note Added: 0005951
2009-03-24 03:54 trickyarcher Note Edited: 0005951
2009-03-24 03:55 trickyarcher Note Edited: 0005951
2010-11-06 15:21 fman Status assigned => resolved
2010-11-06 15:21 fman Fixed in Version => 1.9 (Prague)
2010-11-06 15:21 fman Resolution open => fixed
2010-11-14 12:07 fman Note Added: 0012475
2010-11-14 12:07 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker